Orbiq logoTrust Center Documentation

Create account

Create a new customer account with optional contacts and initial configuration. Browse request parameters, authentication requirements, response payloads,…

POST
/api/v1/accounts

Create a new customer account with optional contacts and initial configuration.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/accounts" \  -H "Authorization: Bearer $ACCESS_TOKEN" \  -H "Content-Type: application/json" \  -d '{  "title": "Acme Corporation",  "description": "Enterprise customer account",  "review_status": "in_review"}'
{  "success": true,  "data": {    "account": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "description": "string",      "review_status": "to_review",      "sfdc_account_id": "string",      "domain": "string",      "logo": "string",      "access_expiry_datetime": "2019-08-24T14:15:22Z",      "nda": true,      "type": "standard",      "internal_notes": "string",      "auto_approval": false,      "date_created": "2019-08-24T14:15:22Z",      "contacts": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "email": "user@example.com",          "first_name": "string",          "last_name": "string",          "title": "string"        }      ]    }  }}

How is this guide?